@robocoder opened this Issue on January 15th 2009 Contributor

From ticket #328, need to document that safe mode is not supported. In addition, gz output handler compression isn't supported. These can be disabled in a local .htaccess file if the user can't change php.ini (e.g., in a hosted environment).
```php_value output_handler none
php_flag register_globals off
php_flag safe_mode off

@mattab commented on January 30th 2009 Owner

vipsoft, what do you mean by gz output handler compression? could you please provide a test case showing it failing, I think piwik should work in this use case.

for safe mode, I have the feeling that it sometimes work with safe mode, for some users. I guess it's just that some safe mode have different permission settings. Ideally we would test a standard debian server solution, set safe_mode on Off and see if piwik works (I think it might just work).

also, we don' tneed to set "php_flag register_globals off" it works both cases

@robocoder commented on January 30th 2009 Contributor

From ticket #328, the user was encountering this error:

Fatal error: ob_start() [<a href='ref.outcontrol'>ref.outcontrol</a>]: Cannot use output buffering in output buffering display handlers in /st/core/ErrorHandler.php on line 31

The error occurs because the master php.ini has:

output_handler = ob_gzhandler

Users who can't modify the master php.ini (typically those with 3rd party hosting providers) must use a .htaccess override to disable it:
```php_value output_handler none

According to the PHP documentation, this is no longer recommended practice (and is problematic according to other php users). Moreover, since the above user's Apache build used mod_deflate, it was redundant.

I agree it probably isn't necessary to set register_globals and safe_mode both to Off, but this  is the default for my Ubuntu 8.04 environment, and Piwik appears to work.  Plus, my understanding from your comment in ticket <a href='/213'>#213</a> is that safe_mode (On) isn't supported.

Going forward it doesn't hurt to require safe_mode and register_globals be Off.  These are both removed in PHP 6.0.  
@robocoder commented on January 30th 2009 Contributor

Clarification: "this is no longer recommended practice" refers to the use of ob_gzhandler.

@mattab commented on February 2nd 2009 Owner

it can be big deal to disable the sofware for some users for which it would have worked fine (some safe_mode work fine with piwik). I don't think we should change requirement or feedback messages as long as we don't know exactly when and how it fails.

This Issue was closed on February 2nd 2009
Powered by GitHub Issue Mirror